OpenMPI/Module

From ScientificComputing
Revision as of 11:15, 20 April 2022 by Sfux (talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

The open_mpi module is a smart module, which checks for a loaded compiler module and then loads the corresponding OpenMPI version. For the module load command example, we use the standard compiler gcc/4.8.2.

Version Module load command Additional modules loaded automatically
1.4.5 module load legacy gcc/4.8.2 open_mpi/1.4.5
1.6.5 module load gcc/4.8.2 open_mpi/1.6.5
1.10.0 module load new gcc/4.8.2 open_mpi/1.10.0
1.10.2 module load new gcc/4.8.2 open_mpi/1.10.2
1.10.3 module load new gcc/4.8.2 open_mpi/1.10.3
1.8.0 module load new gcc/4.8.2 open_mpi/1.8.0
2.0.0 module load new gcc/4.8.2 open_mpi/2.0.0

Please note that this page refers to installations from the old software stack. There are two software stacks on Euler. Newer versions of software are found in the new software stack.